#!/bin/sh

rpm_file=redhat/kernel-2.2.16-3.src.rpm
patch_file=nrfs-kernel-2.2.16-3.patch

if [ ! -f $rpm_file ]; then
    echo no source file, please change current directory
    exit
fi
if [ ! -f $patch_file ]; then
    echo no patch file, please change current directory
    exit
fi

spec_file=/usr/src/redhat/SPECS/kernel-2.2.16.spec
top=/usr/src/redhat/BUILD/linux
l=/usr/src/linux


###
backup()
{
    f="$1"
    b="$f.backup"

    if [ -x $f ]; then
	if [ ! -x $b ]; then
	    mv $f $b
	else
	    echo "$0: can not rename $f to $b: File exist"
	    exit 1
	fi
    fi
}

backup $l
backup $top

rpm -i $rpm_file
rpm -bp $spec_file

ln -s $top $l


###
(cd $top/include/linux
    cp nfs.h		nrfs.h
    cp nfs_fs.h 	nrfs_fs.h
    cp nfs_fs_i.h	nrfs_fs_i.h
    cp nfs_fs_sb.h	nrfs_fs_sb.h
    cp nfs_mount.h	nrfs_mount.h
)


###
(cd $top; pwd;
    mkdir fs/nrfs

    cp fs/nfs/Makefile	fs/nrfs/
    cp fs/nfs/dir.c	fs/nrfs/
    cp fs/nfs/file.c	fs/nrfs/
    cp fs/nfs/inode.c	fs/nrfs/
    cp fs/nfs/proc.c	fs/nrfs/
    cp fs/nfs/read.c	fs/nrfs/
    cp fs/nfs/symlink.c	fs/nrfs/
    cp fs/nfs/write.c	fs/nrfs/

    cp fs/nfs/nfs2xdr.c	fs/nrfs/nrfsxdr.c
)


###
(cd $top; patch -p1) < $patch_file
